---
title: "DELETE /queue/{guid} - Queue · RUAL Documentation"
description: "DELETE: Remove a queue job from the system"
canonical: https://docs.rual.nl/cluster/api/queue/queue--guid-delete
language: en
---

# DELETE /queue/{guid}

Remove a queue job from the system

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | 'a23575f49d0af385314c1f02280163374297e018a692e5e...' | Unique identifier of the queue job to delete |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **force** optional | `boolean` | `false` | Force deletion even if job is running |
| **reason** optional | `string` | `"Scope check failed"` | Reason for deletion |

```
{
  "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc"
}
```

```
{
  "error": "ERROR"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `404` | `ERROR` | Queue job not found |
| `409` | `ERROR` | Cannot delete running job without force flag |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `queue_remove` | Required scope: queue_remove |
